Distribution:	CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>

Name:		oscpack
#Epoch:		0
Version:	1.0.2
Release:	1
License:	BSD
URL:		http://www.audiomulch.com/~rossb/code/oscpack/
Group:		System/Libraries
Summary:	Open Sound Control packet manipulation library
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686

# Sources:
Source:		%{name}_1_0_2.zip

# Patches:
Patch0:		oscpack-gcc43.patch
Patch1:		oscpack-destdir.patch

# Requires:

# BuildRequires:

#Automatically resolved build dependencies
BuildRequires: glibc-devel
BuildRequires: libgcc
BuildRequires: libstdc++-devel

%description
Oscpack is simply a set of C++ classes for packing and unpacking OSC packets. Oscpack includes a minimal set of UDP networking classes for Windows and POSIX which are sufficient for writing many OSC applications and servers, but you are encouraged to use another networking framework if it better suits your needs. Oscpack is not an OSC application framework, it doesn't include infrastructure for constructing or routing OSC namespaces, just classes for easily constructing, sending, receiving and parsing OSC packets. The library should also be easy to use for other transport methods (eg serial). 

%package devel
Summary:        %{name} development headers.
Group:          %{group}
Requires:       %{name} = %{version}-%{release}

%description devel
Header and include files for developing applications with %{name}.

%pre

%preun

%post
ldconfig

%postun
ldconfig

%prep
%setup -n %{name}
# add neccessary include for gcc >4.3
%patch0 -p1
%patch1 -p1

%build
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%files
%defattr(-,root,root)
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root)
%{_libdir}/*.so
%{_includedir}

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Apr 14 2009 Karsten Brockmann <arcam@ccux-linux.de> 1.0.2-1
- initial CCux package release
